osl::DirectionTraitsGen< D > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const int | blackDx =0
static const int | blackDy =1
static const bool | canPromoteTo =false
static const Direction | altDir =U
static const Direction | longDir =LONG_D
static const Direction | primDir =U
static const int | ptypeMask

## Detailed Description

Definition at line 87 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< D >::altDir =U

static

Definition at line 91 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< D >::blackDx =0

static

Definition at line 88 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< D >::blackDy =1

static

Definition at line 89 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< D >::canPromoteTo =false

static

Definition at line 90 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< D >::longDir =LONG_D

static

Definition at line 92 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< D >::primDir =U

static

Definition at line 93 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< D >::ptypeMask

static

Initial value:
=
(1<<PPAWN)|(1<<PLANCE)|(1<<PKNIGHT)|(1<<PSILVER)|(1<<PBISHOP)|
(1<<PROOK)|(1<<KING)|(1<<GOLD)|(1<<ROOK)
osl::ROOK
@ ROOK
Definition basic_type.h:100
osl::PPAWN
@ PPAWN
Definition basic_type.h:87
osl::PROOK
@ PROOK
Definition basic_type.h:92
osl::KING
@ KING
Definition basic_type.h:93
osl::PKNIGHT
@ PKNIGHT
Definition basic_type.h:89
osl::GOLD
@ GOLD
Definition basic_type.h:94
osl::PLANCE
@ PLANCE
Definition basic_type.h:88
osl::PBISHOP
@ PBISHOP
Definition basic_type.h:91
osl::PSILVER
@ PSILVER
Definition basic_type.h:90

Definition at line 94 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h